Search Results for

Show / Hide Table of Contents

# Class GraphCellToRender

Describes how to render a single row/column of a GraphView based on the value(s) in ISeries at that location

##### Inheritance

System.Object
GraphCellToRender

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class GraphCellToRender

### Constructors

#### GraphCellToRender(Rune)

Creates instance and sets Rune with default graph coloring

##### Declaration

    public GraphCellToRender(Rune rune)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Rune | rune |

#### GraphCellToRender(Rune, Nullable<Attribute>)

Creates instance and sets Rune and Color (or default if null)

##### Declaration

    public GraphCellToRender(Rune rune, Attribute? color)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Rune | rune |
System.Nullable<Attribute> | color |

#### GraphCellToRender(Rune, Attribute)

Creates instance and sets Rune with custom graph coloring

##### Declaration

    public GraphCellToRender(Rune rune, Attribute color)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Rune | rune |
Attribute | color |

### Properties

#### Color

Optional color to render the Rune with

##### Declaration

    public Attribute? Color { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Attribute> |

#### Rune

The character to render in the console

##### Declaration

    public Rune Rune { get; set; }

##### Property Value

Type | Description
--- | ---
System.Rune |